Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP

Loading…

Header Autocomplete #542

Closed
kermitology opened this Issue · 25 comments
@kermitology

I'm not sure if there is anything that can be done about this, but I've noticed that with Xcode 4.5 autocomplete for cocoapod included headers doesn't seem to work. It's probably on Apple, since they seemed to have messed up all header inclusion in 4.4. Close if necessary.

@alloy
Owner

Ugh… Again?! :sob:

Care to file a radar? Also, let’s keep this open for now, there are bound to be others that will run into this and someone might find a solution/workaround.

@alloy
Owner

Sweet, thanks!

PS: You probably already know this, but others can’t see your radar. If you wish to share it with the world, then you can do so here: http://www.openradar.me.

@chourobin

The autocomplete works when I precede the header with "<" instead of a quotation. E.g.

#import <AFNetworking/AFNetworking.h>
@fabiopelosin
Owner

@chourobin Thanks!

@averydev

I'm having this issue. Is there an update? Or is importing as @chourobin suggests the best option?

@kermitology

Import as @chourobin suggests and all will be well. Just pretend cocoapods are like your frameworks.

@stilllife00

On Xcode 5 importing AFNetworking the problem is still there even with < >

Am I doing something wrong?

@tonyarnold

This isn't fixed. I still see this in Xcode 5.0/5.1 — autocompletion of headers in my Pods project stopped working for me about 3-4 months ago.

@colasjojo

Same here. Autocompletion does not work.

@andreamazz

The problem was gone, but it came back with Xcode 5.1

@fabiopelosin

Autocompletion is working for me but it is funky sometimes – i.e. I need to delete a couple of characters to trigger it. For the time being I'm considering it an Xcode bug that will be ironed out in a future release.

@tonyarnold

Has anyone tried to narrow down what's going on a bit and report it to Apple? I hate reporting radars as much as the next guy, but it seems like something only they can fix.

@fabiopelosin

import

(wow this gif ended up being a bit flashy)

@andreamazz

Anyone experiencing this problem is using the fuzzy autocomplete plugin by any chance?

@swizzlr

Autocomplete will not work if you use double quotes. You should use angle brackets to import a pod, as if it's a system header.

@fabiopelosin

@andreamazz I think that you might be onto something...

@tonyarnold

@andreamazz yeah, I have @chendo's FuzzyAutoCompeletePlugin installed, too… gosh, not sure how I'll go if I have to pull that out…

@chendo

@tonyarnold if you can confirm, can you file an issue? Not sure when I can have a look at it. PRs welcome :p

@tonyarnold

Will do, buddy. Having a look now.

@tonyarnold tonyarnold referenced this issue in FuzzyAutocomplete/FuzzyAutocompletePlugin
Closed

Breaks autocompletion of imports from CocoaPods #28

@tonyarnold

@swizzlr do you even computer?

@chendo

Do either of you even internet?

@tonyarnold

No bro, we just noise on issue threads #synergy #wearables #hashtag

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Something went wrong with that request. Please try again.